# Welcome to the HedgeDoc 2 Documentation

<!-- markdownlint-disable no-inline-html line-length -->
<img alt="HedgeDoc Logo" title="HedgeDoc Logo" width="398" height="100" class="light-mode-only" src="images/hedgedoc_logo_black.svg">
<img alt="HedgeDoc Logo" title="HedgeDoc Logo" width="398" height="100" class="dark-mode-only" src="images/hedgedoc_logo_white.svg">
<!-- markdownlint-enable  no-inline-html line-length -->

!!! danger "🚧⚠️🚧 **HedgeDoc 2.0 is still in development!**"
    You are probably looking for the 1.x docs.  
    <!-- markdownlint-disable proper-names -->
    Find them in the `master` branch and on [docs.hedgedoc.org](https://docs.hedgedoc.org).
    <!-- markdownlint-enable proper-names -->

Welcome to the documentation for HedgeDoc, a collaborative online markdown editor,
that you can host yourself.

## Quick start

<!-- markdownlint-disable proper-names -->
<!-- TODO: HedgeDoc Tour Video https://github.com/hedgedoc/hedgedoc/issues/4828 -->
<!-- markdownlint-enable proper-names -->
- 🦔 New to HedgeDoc? Watch the [HedgeDoc tour video][hedgedoc-tour].
- 🚀 Want your own instance? [Install HedgeDoc yourself][install-guide].
- 🛠️ Want to change something about HedgeDoc? Read the [Configuration reference][config-reference].

## Getting help

Having trouble? We’d like to help!

- ❓ Take a look into the [FAQ][faq] – there are answers to many common questions.
- 🌐 Still any questions? Ask them at our [community forum][community-forum].
- 💬 Talk to us on our [matrix chat][chat].
- 🐛 Report bugs in our [issue tracker][issue-tracker].

## How the documentation is organized

To make it easy for you to find the relevant documentation articles, we organized our docs by the
following categories:

- **[Getting started][tutorials]:** This section contains tutorials for people who are new to
  HedgeDoc. Start here to learn how to create your first note or presentation, how to manage your
  notes or even how to setup your own instance.
- **[How-to guides][how-to]:** This section targets the more advanced users. It guides you through 
  a variety of topics, addressing non-trivial use-cases. The guides are more advanced than tutorials
  and assume some knowledge of HedgeDoc.
- **[Configuration][config-reference]:** All configuration options are explained in this section.
  Use it as a reference when setting up your own instance or explore the possibilities what can be
  configured.
- **[Development][development]:** This section contains explanations of the core concepts behind
  the architecture of HedgeDoc as well as guides to set up the development environment for
  ontributing to the codebase. Use this section as a starting point if you intend to contribute
  code-wise to HedgeDoc.
- **[References][references]:** This section contains information that is useful to look up in a
  non-guided way. This includes for example the supported Markdown features or the API endpoints.

## Participate in the HedgeDoc project

There are different ways how you can participate in the HedgeDoc project:

- Help others or share your experiences and tips in the [community forum][community-forum].
- Improve the translation of HedgeDoc into your language at our [translation tool][weblate].
- Report bugs, feature requests or enhancement ideas in our [issue tracker][issue-tracker].
- Read the [development section][development] of the docs to setup your local dev environment and
  start implementing your own features.

[![Deployed using netlify](https://www.netlify.com/img/global/badges/netlify-color-accent.svg)
](https://www.netlify.com)

[hedgedoc-tour]: https://tour.hedgedoc.org
[install-guide]: getting-started/setup.md
[config-reference]: config/index.md

[faq]: faq/index.md
[community-forum]: https://community.hedgedoc.org/
[chat]: https://chat.hedgedoc.org
[issue-tracker]: https://github.com/hedgedoc/hedgedoc/issues/new/choose

[tutorials]: getting-started/index.md
[how-to]: guides/index.md
[development]: development/index.md
[references]: references/index.md

[weblate]: https://translate.hedgedoc.org
